<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package furniture_decor
 */
$furniture_decor_single_meta_setting  = get_theme_mod( 'furniture_decor_single_post_meta_setting' , true );
$furniture_decor_single_content_setting  = get_theme_mod( 'furniture_decor_single_post_content_setting' , true );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php

		if ( 'post' === get_post_type() ) : ?>
		<?php
		if ( $furniture_decor_single_meta_setting ){ ?>
			<div class="entry-meta">
				<?php furniture_decor_posted_on(); ?>
			</div><!-- .entry-meta -->
	    <?php } ?>
		<?php
		endif; ?>
	</header><!-- .entry-header -->

    <?php
	if ( $furniture_decor_single_content_setting ){ ?>
		<div class="entry-content" itemprop="text">
			<?php
			if( is_single()){
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'furniture-decor' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );
				}else{
				$furniture_decor_image_setting = get_theme_mod('furniture_decor_post_excerpt_length' ,20);
				    $content = get_the_content();
				    echo esc_html(wp_trim_words($content, $furniture_decor_image_setting));
				}
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'furniture-decor' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	<?php } ?>
</article><!-- #post-## -->